Subject: bug#45260: 28.0.50; Maybe flex should only sort when there is no sorting metadata?

From: João Távora <[email-masked]>
Date: Tue, 17 Aug 2021 11:41:49 +0100

Omar Antolín Camarena <[email-masked]> writes:

> 1. Why does flex sort even if there is display/cycle-sort-functions
> present? Is there some good reason or use case I'm not seeing?

When I designed flex I wanted it to sort by flexy stuff and keep the
relative order specified by earlier sorting when there are ties.  I've
not seen an example of a table where its original sorting mattered more
_when_ there is some search pattern.  When there is no search pattern,
flex sorting doesn't kick in (because there is nothing to work from).

But you can probably design some other "omar-flex" completion style that
doesn't do this and behaves the way you want.

João